package com.example.demo.models;

import java.time.LocalDate;

import org.springframework.format.annotation.DateTimeFormat;
import org.springframework.format.annotation.DateTimeFormat.ISO;

public class Ispit {
    private int idI;
    private String sifra;
    private String student;

    @DateTimeFormat(iso = ISO.DATE)
    private LocalDate datum;

    private int ocena;

    public Ispit(int idI, String sifra, String student, LocalDate datum, int ocena) {
        this.idI = idI;
        this.sifra = sifra;
        this.student = student;
        this.datum = datum;
        this.ocena = ocena;
    }
    
    public int getIdI() {
        return idI;
    }
    public void setIdI(int idI) {
        this.idI = idI;
    }
    public String getSifra() {
        return sifra;
    }
    public void setSifra(String sifra) {
        this.sifra = sifra;
    }
    public String getStudent() {
        return student;
    }
    public void setStudent(String student) {
        this.student = student;
    }
    public LocalDate getDatum() {
        return datum;
    }
    public void setDatum(LocalDate datum) {
        this.datum = datum;
    }
    public int getOcena() {
        return ocena;
    }
    public void setOcena(int ocena) {
        this.ocena = ocena;
    }  
}
